import type { BusinessOptions, RequestResult } from "./main";
/** 获取错误信息 */
export declare const resolveErrorMsg: (error: any) => string;
/** 分发业务结果 */
export declare const dispatchBusinessResult: <R, D = any>(res: R, { getBusinessCode, getBusinessMsg, getBusinessData, businessSuccessCodeList, isSuccessBusinessCode, }: BusinessOptions<R>, debug?: boolean) => RequestResult<D> | Promise<RequestResult<D>>;
/** 回调请求转Promise */
export declare const callback2Promise: <S, E, PS = S>(fn: (data: {
    success: (res: PS) => void;
    fail: (res: E) => void;
}) => unknown) => Promise<S>;
